/*
    uninit.c
    Firmware for uninitialized SRAMs

    These SRAMs don't /really/ have firmware. At one point, we needed
    a way of initializing these for testing, and so this module was
    created. We don't have this need anymore, but the hooks are being
    kept until everything is further along.
*/

int uninit_stack_depths(int subword, int addr)
{
    return 0;
}

int uninit_page_table(int subword, int addr)
{
    return 0;
}

void uninit_code_ram(long *mem, int rows, int chip)
{
}

void uninit_data_ram(long *mem, int rows, int chip)
{
}

void uninit_register_file(long *mem, int rows, int chip)
{
}

void uninit_return_stack(long *mem, int rows, int chip)
{
}
