// Unused routines that are in some way interesting enough to not delete

/* transpose 36-bit word (uses almost full 64-bit width) */
/* ZYXWVU TSRQPO NMLKJI HGFEDC BA9876 543210 --> */
/* ZTNHB5 YSMGA4 XRLF93 WQKE82 VPJD71 UOIC60 */
long transpose(long w)              // unused; documentation purpose
{
    ulong x, y = 0;

    /* bit 0 in aligned to bit 0 out - constants are octal */
    x = w & 010101010101;
    y |= 077 & (x >> 25 | x >> 20 | x >> 15 | x >> 10 | x >> 5 | x);

    /* bit 1 in aligned to bit 6 out */
    x = (w & 020202020202) << 5;
    y |= 07700 & (x >> 25 | x >> 20 | x >> 15 | x >> 10 | x >> 5 | x);

    /* bit 2 in aligned to bit 12 out */
    x = (w & 040404040404) << 10;
    y |= 0770000 & (x >> 25 | x >> 20 | x >> 15 | x >> 10 | x >> 5 | x);

    /* bit 3 in aligned to bit 18 out */
    x = (w & 0101010101010) << 15;
    y |= 077000000 & (x >> 25 | x >> 20 | x >> 15 | x >> 10 | x >> 5 | x);

    /* bit 4 in aligned to bit 24 out */
    x = (w & 0202020202020) << 20;
    y |= 07700000000 & (x >> 25 | x >> 20 | x >> 15 | x >> 10 | x >> 5 | x);

    /* bit 5 in aligned to bit 30 out */
    x = (w & 0404040404040) << 25;
    y |= 0770000000000 & (x >> 25 | x >> 20 | x >> 15 | x >> 10 | x >> 5 | x);

    return y;
}

/* Example of wire() function. Entire ALU runs 3.5x slower using this. */
ulong transpose_slow(ulong w)       // unused; documentation purpose
{
    return slow_wire("ztnhb5 ysmga4 xrlf93 wqke82 vpjd71 uoic60", w);
}
